<div class="control-section">
    <div id="modalTarget" #targetModal>
        <nav class="navbar justify-content-between">
            <div class="col-md-10">
                <h2 class="nav_logo heading_style">{{i18contents['New_Group']}}</h2>
                <p class="sub-heading"><small>{{i18contents['Description_Group']}}</small></p>
            </div>
            <div class="col-md-2">
                <button class="btn" routerLink="../groups">{{i18contents.Cancel}}</button>
                <button class="btn btn-dark" (click)="finalSubmit()" [disabled]="!enableSave || !!inputForm?.invalid">{{i18contents.Save}}</button>
            </div>
        </nav>
    </div>
    <div class="row sample">
        <ejs-tab id="element" class="mt-3 ml-2" #tab>
            <e-tabitems>
                <e-tabitem>
                    <ng-template #headerText>
                        <div> {{i18contents.input_details}} </div>
                    </ng-template>
                    <ng-template #content>
                        <!-- Form with Name and Description with both fields mandatory -->
                        <form #inputForm="ngForm" class="form-horizontal mt-3">
                            <div class="form-group">
                                <label class="control-label col-md-2 font-weight-bold" for="groupName">{{i18contents.NAME}}
                                <span class="required">*</span></label>
                                <div class="col-md-4">
                                    <input type="text" required class="form-control" id="groupName" placeholder="{{i18contents['Enter Group Name']}}" name="groupName" [(ngModel)]="groupName">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-2 font-weight-bold" for="description">{{i18contents.Description}}
                                <span class="required">*</span></label>
                                <div class="col-md-4">
                                    <textarea type="text" required class="form-control" id="description" placeholder="{{i18contents['Enter Description']}}" name="description" [(ngModel)]="groupDescription"></textarea>
                                </div>
                            </div>
                            <div class="form-group ml-3 mt-5">
                                <button [disabled]="(groupName.length < 1) || (groupDescription.length < 1)" class="btn btn-dark" id='searchNext' (click)='btnClicked($event)'>{{i18contents.Next}}</button>
                            </div>
                        </form>
                    </ng-template>
                </e-tabitem>
                <e-tabitem disabled="true">
                    <ng-template #headerText>
                        <div> {{i18contents.users}} </div>
                    </ng-template>
                    <ng-template #content>
                        <form class="form-horizontal mt-3">
                            <div class="form-group">
                                <label class="control-label col-md-6 font-weight-bold" for="groupName">{{i18contents.add_groups_users}}
                                    <span class="required">*</span></label>
                                <div class="col-md-6">
                                    <select name="selectedUserID" [(ngModel)]="selectedUserID" required class="form-control" id="ugName" name="ugName" (change)="selectChanged()"
                                        id="favCktPlayer" list="CktPlayers">
                                        <option value="" disabled selected>{{ i18contents['SelectText'] }}</option>
                                        <option *ngFor="let _user of listOfUsers | orderByAlphabetically: 'firstname'" [value]="_user.user_id"> {{_user.firstname}} {{_user.lastname}}  -  {{_user.email}}</option>
                                    </select>
                                </div>
                            </div>
                        </form>
                        <!--Hide conditionally-->
                        <div class="contain-box" *ngIf="this.listToDisplayUsers.length > 0">
                            <div class="row ml-3 mt-5 mr-3">
                                <h6>{{i18contents.added_users}}</h6>
                            </div>
                            <!--Add table here-->
                            <div class="control-section">
                                <ejs-grid #grid [dataSource]='this.listToDisplayUsers' allowPaging='true' id="dtc-sample-grid" allowDeleting="false">
                                    <e-columns>
                                        <e-column *ngFor="let col of columns" width=90 field='{{col}}' headerText='{{col}}'></e-column>
                                        <e-column width=90 headerText="Actions">
                                            <ng-template #template let-data>
                                                <button type="button" (click)="deleteClicked(data)">{{i18contents.Delete}}</button>
                                            </ng-template>
                                        </e-column>
                                    </e-columns>
                                </ejs-grid>
                            </div>
                        </div>
                        <div class="form-group ml-3 mt-2 mb-5">
                            <button [disabled]="this.listToDisplayUsers.length < 1" class="btn btn-dark" id='usersNext' (click)='btnClicked($event)'>{{i18contents.Next}}</button>
                        </div>
                    </ng-template>
                </e-tabitem>
                <e-tabitem disabled="false">
                    <ng-template #headerText>
                        <div> {{i18contents.configure}} </div>
                    </ng-template>
                    <ng-template #content>
                        <div class="row mt-4 mr-3 ml-1 mb-3">
                            <div class="col-md-8">
                                <h6>{{i18contents.select_layers}}</h6>
                                <form id="layers" class="mt-3">
                                    <div class="checkbox mt-1" *ngFor="let layer of layersDropDownList">
                                        <ejs-checkbox name="layer" label="<strong>{{ layer.name }}</strong>" value="{{ layer.layer_id }}" [checked]="false" [(ngModel)]="layer.checked"></ejs-checkbox>
                                        <p class="ml-4">{{i18contents.description}} : <strong>{{layer.description}}</strong><br/>
                                            {{i18contents.layer_type}} : <strong>{{layer.layer_type}}</strong></p>
                                    </div>
                                </form>
                            </div>
                            <div class="col-md-4" id="collapseApplications">
                                <h6>{{i18contents.Select_Functionality}}</h6>
                                <ejs-accordion #accordion (expanding)="expanding($event)">
                                    <e-accordionitems>
                                        <e-accordionitem [expanded]='true' *ngFor="let functionality of functionality_list">
                                            <ng-template #header>
                                                <div><ejs-checkbox label="{{functionality.nodeText}}" [checked]="selectedFunctionality[functionality.nodeId]" (change)="change(functionality.nodeId)"></ejs-checkbox>
                                                    </div>
                                            </ng-template>
                                            <ng-template #content>
                                                <div *ngFor="let role of functionality.roles | orderByAlphabetically : 'role_id' " class="ml-2 mb-2">
                                                    <ejs-radiobutton label="{{role.nodeText}}" value="{{role.nodeId}}" (change)="selectValue(functionality.nodeId, role.nodeId)" name="{{functionality.nodeId}}" 
                                                    cssClass="custom-radio-btn" [checked]="selectedFunctionality[functionality['nodeId']] == role.nodeId">
                                                    </ejs-radiobutton>
                                                </div>
                                            </ng-template>
                                        </e-accordionitem>
                                    </e-accordionitems>
                                </ejs-accordion>
                                <!-- <form id="modules" class="mt-3">
                                    <div id='treeparent'><ejs-treeview  #treeelement [fields]='field' [showCheckBox]='showCheckBox'></ejs-treeview></div>
                              </form> -->
                            </div>
                        </div>
                    </ng-template>
                </e-tabitem>
            </e-tabitems>
        </ejs-tab>
    </div>
</div>